# eric4.E4Gui.E4SingleApplication

Module implementing the single application server and client.

### Global Attributes

SAArguments
SAFile
SAOpenFile
SAOpenProject

### Classes

E4SingleApplicationClient | Class implementing the single application client of the IDE.
E4SingleApplicationServer | Class implementing the single application server embedded within the IDE.

### Functions

None

## E4SingleApplicationClient

Class implementing the single application client of the IDE.

### Derived from

SingleApplicationClient

### Class Attributes

None

### Class Methods

None

### Methods

E4SingleApplicationClient | Constructor
__openFile | Private method to open a file in the application server.
__openProject | Private method to open a project in the application server.
__sendArguments | Private method to set the command arguments in the application server.
processArgs | Public method to process the command line args passed to the UI.

### Static Methods

None

#### E4SingleApplicationClient (Constructor)

E4SingleApplicationClient()

Constructor

#### E4SingleApplicationClient.__openFile

__openFile(fname)

Private method to open a file in the application server.

fname
  name of file to be opened (string)

#### E4SingleApplicationClient.__openProject

__openProject(pfname)

Private method to open a project in the application server.

pfname
  name of the projectfile to be opened (string)

#### E4SingleApplicationClient.__sendArguments

__sendArguments(argsStr)

Private method to set the command arguments in the application server.

argsStr
  space delimited list of command args (string)

#### E4SingleApplicationClient.processArgs

processArgs(args)

Public method to process the command line args passed to the UI.

args
  list of files to open

Up

## E4SingleApplicationServer

Class implementing the single application server embedded within the IDE.

### Derived from

SingleApplicationServer

### Class Attributes

None

### Class Methods

None

### Methods

E4SingleApplicationServer | Constructor
__saArguments | Private method used to handle the "Arguments" command.
__saOpenFile | Private method used to handle the "Open File" command.
__saOpenProject | Private method used to handle the "Open Project" command.
handleCommand | Public slot to handle the command sent by the client.

### Static Methods

None

#### E4SingleApplicationServer (Constructor)

E4SingleApplicationServer()

Constructor

#### E4SingleApplicationServer.__saArguments

__saArguments(argsStr)

Private method used to handle the "Arguments" command.

argsStr
  space delimited list of command args(string)

#### E4SingleApplicationServer.__saOpenFile

__saOpenFile(fname)

Private method used to handle the "Open File" command.

fname
  filename to be opened (string)

#### E4SingleApplicationServer.__saOpenProject

__saOpenProject(pfname)

Private method used to handle the "Open Project" command.

pfname
  filename of the project to be opened (string)

#### E4SingleApplicationServer.handleCommand

handleCommand(cmd, params)

Public slot to handle the command sent by the client.

cmd
  commandstring (string)
params
  parameterstring (string)

Up